OBQueryBond Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends
OBQueryBond Class Reference
Substructure Searching

`#include <openbabel/query.h>`

List of all members.

## Public Member Functions
| OBQueryBond (OBQueryAtom *begin, OBQueryAtom *end, int order=1, bool aromatic=false)
virtual | ~OBQueryBond ()
unsigned int | GetIndex () const
OBQueryAtom * | GetBeginAtom () const
OBQueryAtom * | GetEndAtom () const
virtual bool | Matches (const OBBond *bond) const
## Protected Attributes
unsigned int | m_index
OBQueryAtom * | m_begin
OBQueryAtom * | m_end
int | m_order
bool | m_aromatic
## Friends
class | OBQuery

## Detailed Description

Bond in an OBQuery.

The OBQueryBond class defines an interface for query bonds. The class provides some general methods and properties to access the topology information. The Matches method can be reimplemented in subclasses to get custom matching behavior.

The default Matches implementation only checks if the bonds are both aromatic, otherwise the bond orders are compared.

See Substructure Search for more information.

See also:
  OBQuery OBQueryAtom OBIsomorphismMapper

Since:
  version 2.3

## Constructor & Destructor Documentation

OBQueryBond | ( | OBQueryAtom * | begin,
|  | OBQueryAtom * | end,
|  | int | order = `1`,
|  | bool | aromatic = `false`
| ) |  | `[inline]`

Constructor.

virtual ~OBQueryBond | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

unsigned int GetIndex | ( |  | ) | const`[inline]`

Get the index for this query bonds. Query bonds are indexed starting from 0.

OBQueryAtom* GetBeginAtom | ( |  | ) | const`[inline]`

Get the begin atom.

OBQueryAtom* GetEndAtom | ( |  | ) | const`[inline]`

Get the end atom.

virtual bool Matches | ( | const OBBond * | bond | ) | const`[inline, virtual]`

This is the match method to verify if an OBQueryBond and OBBond class match. The default implementation checks if both bonds are aromatic and compares the bond orders otherwise. Reimplement this method in a subclass for more advances matching. This method is used by OBIsomorphismMapper implementations.

Parameters:

  bond | The OBBond object to compare this OBQueryBond with.

## Friends And Related Function Documentation

friend class OBQuery`[friend]`

## Member Data Documentation

unsigned int m_index`[protected]`

Referenced by OBQuery::AddBond().

OBQueryAtom* m_begin`[protected]`

OBQueryAtom * m_end`[protected]`

int m_order`[protected]`

bool m_aromatic`[protected]`

The documentation for this class was generated from the following file:

- query.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines